org.apache.tapestry5
Class PersistenceConstants

java.lang.Object
  extended by org.apache.tapestry5.PersistenceConstants

public class PersistenceConstants
extends Object

Constants for persistent field strategies.

See Also:
Persist.value()

Field Summary
static String CLIENT
          The field's value is stored on the client, as a query parameter or hidden form field.
static String FLASH
          The page field persistence strategy that stores data in the session until the next request.
static String SESSION
          The field's value is stored in the Session.
 
Constructor Summary
PersistenceConstants()
           
 
Method Summary
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

SESSION

public static final String SESSION
The field's value is stored in the Session.

See Also:
Constant Field Values

CLIENT

public static final String CLIENT
The field's value is stored on the client, as a query parameter or hidden form field.

See Also:
Constant Field Values

FLASH

public static final String FLASH
The page field persistence strategy that stores data in the session until the next request.

See Also:
Constant Field Values
Constructor Detail

PersistenceConstants

public PersistenceConstants()


Copyright © 2006-2009 Apache Software Foundation. All Rights Reserved.